0
Fixed

R2020b problem

Michal Kvasnicka 1 month ago updated by Pavel Holoborodko 1 month ago 6

Matlab R2020b (Windows) is not fully compatible with latest version of MCT:

OMP: Info #273: omp_set_nested routine deprecated, please use omp_set_max_active_levels instead. 

On Linux I can test only old version 4.7.0 Build 13589 which does not report this problem. Just the message:

cat: /etc/upstream-release: Is a directory

on matlab exit.

Answer

Answer
Fixed

Thank you for confirmation!

Under review

Dear Michal,

Thank you very much for your report. Please try new version: http://goo.gl/pMXV3

Please let me know if you see any issues with the newest version of toolbox on Windows.

The reason is that TMW has switched to the newest version of Intel OpenMP library (5.0) on Windows in 2020b.

Intel OpenMP library cannot be statically linked into the MEX. That is why toolbox must use the OpenMP which is shipped with MATLAB. This is very painful because different versions of MATLAB use different versions of OpenMP - and hence we must keep compatibility with all this spectrum :)

There are no such issues on GNU Linux and MacOSX. On these platforms we maintain our own version of GCC, with all libraries statically linked (including OpenMP). This gives us freedom from what MATLAB is using.

Thank you

The link on new version of MCT does not work. 

403. That’s an error.

We're sorry, but you do not have access to this page. That’s all we know.

Are you sure? I have checked it several times. How it doesn't work?

OK ... version 4.8.0.14105 on Windows work well now!

BTW: The link  http://goo.gl/pMXV3 does not work on Android devices only. From my PC it is fully functional.

Answer
Fixed

Thank you for confirmation!